<template lang="pug">
div
  div.card
    h1 {{error.statusCode}}
    h2 {{error.message}}.
    nuxt-img(:src="`https://http.cat/${error.statusCode}`" :alt="`Error ${error.statusCode}: ${error.message}`")
</template>

<script>
export default {
  layout: 'error',
  // eslint-disable-next-line vue/require-prop-types
  props: ['error'],
  mounted () {
    this.$gtag('event', 'error', {event_category: 'error', event_label: this.error.statusCode, value: this.error.message})
  }
}
</script>

<style lang="scss" scoped>
.card {
  margin-top: 4rem;
  text-align: center;
  h1 {
    font-size: 3rem;
  }
  h2 {
    font-size: 2rem;
  }
}
</style>
